- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_access_list – CLI command to create/delete access-list

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to create and delete an access list.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_name string |  | Access List Name.
pn_scope - | Choices: local fabric | scope. Available valid values - local or fabric.
state - / required | Choices: present absent | State the action to perform. Use 'present' to create access-list and 'absent' to delete access-list.

## Examples

    - name: access list functionality
      pn_access_list:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        pn_scope: "local"
        state: "present"

    - name: access list functionality
      pn_access_list:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        pn_scope: "local"
        state: "absent"

    - name: access list functionality
      pn_access_list:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        pn_scope: "fabric"
        state: "present"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the access-list command.
stdout list | always | set of responses from the access-list command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@amitsi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.